List an Organization's Available Integrations

GET /api/0/organizations/{organization_id_or_slug}/integrations/

Lists all the available Integrations for an Organization.

Path Parameters

organization_id_or_slug (string)
REQUIRED

The ID or slug of the organization the resource belongs to.

Query Parameters:

providerKey (string)

Specific integration provider to filter by such as slack. See our Integrations Documentation for an updated list of providers.

features (array(string))

Integration features to filter by. See our Integrations Documentation for an updated list of features. Current available ones are:

  • alert-rule
  • chat-unfurl
  • codeowners
  • commits
  • data-forwarding
  • deployment
  • enterprise-alert-rule
  • enterprise-incident-management
  • incident-management
  • issue-basic
  • issue-sync
  • mobile
  • serverless
  • session-replay
  • stacktrace-link
  • ticket-rules
includeConfig (boolean)

Specify True to fetch third-party integration configurations. Note that this can add several seconds to the response time.

cursor (string)

A pointer to the last object fetched and its sort order; used to retrieve the next or previous results.

Scopes

<auth_token> requires one of the following scopes:
  • org:admin
  • org:integrations
  • org:read
  • org:write
Copied
curl https://sentry.io/api/0/organizations/{organization_id_or_slug}/integrations/ \
 -H 'Authorization: Bearer <auth_token>'
RESPONSESCHEMA
Copied
[ { "id": "24817", "name": "Alphabet Soup Factory", "icon": "https://avatars.slack-edge.com/alphabet-soup", "domainName": "alphabet-soup.slack.com", "accountType": null, "scopes": [ "channels:read", "chat:write", "chat:write.customize", "chat:write.public", "commands", "groups:read", "im:history", "im:read", "links:read", "links:write", "team:read", "users:read" ], "outOfDate": false, "status": "active", "provider": { "key": "slack", "slug": "slack", "name": "Slack", "canAdd": true, "canDisable": false, "features": [ "alert-rule", "chat-unfurl" ], "aspects": {} }, "configOrganization": [], "configData": { "installationType": "born_as_bot" }, "externalId": "7252394", "organizationId": 6234528, "organizationIntegrationStatus": "active", "gracePeriodEnd": null } ]
Was this helpful?